1. Errand
Enviable Logistics App
  • Auth
    • Login
      POST
    • Sign UP
      POST
    • Verify Email
      POST
    • Resend Email OTP
      POST
    • Forgot password
      POST
    • Reset Password
      POST
    • Change Password
      POST
    • User
      GET
  • Delivery
    • Checkout
      POST
    • Track Delivery
      GET
    • Get Delivery
      GET
    • Calculate Price
      POST
  • Rider
    • Auth
      • Login
      • Logout
      • Forgot password
      • Change email
    • My Orders
      GET
    • Analytics
      GET
    • Update Order Status
      POST
    • Change status to picked up
      POST
    • Change status to delivered
      POST
    • Change inter-state status to picked up
      PUT
    • Change errand stauts to in-transit
      PUT
  • Errand
    • Create Errand
      POST
    • Get Errand
      GET
    • Upload Proof
      POST
    • Get Errand Categories
      GET
  • User
    • Upload Profile Picture
      POST
    • Get All Reusuable Info
      GET
    • Update Profile
      POST
    • Store Info for Reuse
      POST
    • Get Orders
      GET
    • Get Transactions
      GET
    • Get Transaction From Paystack
      GET
    • Get Operational States
      GET
  • Join Waitlist
    POST
  • Get Pickup Centers
    GET
  • Playground
    GET
  • Get fees
    GET
  • Update Location
    POST
  • Get in-app Notifications
    GET
  1. Errand

Create Errand

POST
{{base_url}}/errand/create

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "name": "Food Stuff Order",
    "category": "Office Appliance",
    "description": "1 pressing iron \n 1 Microwave",
    "delivery_details": {
        "address": "Admiralty Way, Lekki Phase 1, Lagos State",
        "state": "Lagos",
        "phone": "08039458712"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.enviablelogistics.com/errand/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Food Stuff Order",
    "category": "Office Appliance",
    "description": "1 pressing iron \n 1 Microwave",
    "delivery_details": {
        "address": "Admiralty Way, Lekki Phase 1, Lagos State",
        "state": "Lagos",
        "phone": "08039458712"
    }
}'

Responses

🟢201Created
application/json
Bodyapplication/json

Example
{"data":null,"message":"Errand created successfully"}
Modified at 2024-09-13 19:11:54
Previous
Change errand stauts to in-transit
Next
Get Errand
Built with